openSUSE Security Update : java-10-openjdk (openSUSE-2018-810)

Medium Nessus Plugin ID 111572

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for OpenJDK 10.0.2 fixes the following security issues :

- CVE-2018-2940: the libraries sub-component contained an easily exploitable vulnerability that allowed attackers to compromise Java SE or Java SE Embedded over the network, potentially gaining unauthorized read access to data that's accessible to the server. [bsc#1101645]

- CVE-2018-2952: the concurrency sub-component contained a difficult to exploit vulnerability that allowed attackers to compromise Java SE, Java SE Embedded, or JRockit over the network. This issue could have been abused to mount a partial denial-of-service attack on the server. [bsc#1101651]

- CVE-2018-2972: the security sub-component contained a difficult to exploit vulnerability that allowed attackers to compromise Java SE over the network, potentially gaining unauthorized access to critical data or complete access to all Java SE accessible data.
[bsc#1101655)

- CVE-2018-2973: the JSSE sub-component contained a difficult to exploit vulnerability allowed attackers to compromise Java SE or Java SE Embedded over the network, potentially gaining the ability to create, delete or modify critical data or all Java SE, Java SE Embedded accessible data without authorization. [bsc#1101656]

Furthemore, the following bugs were fixed :

- Properly remove the existing alternative for java before reinstalling it. [bsc#1096420]

- idlj was moved to the *-devel package. [bsc#1096420]

This update was imported from the SUSE:SLE-15:Update update project.

Solution

Update the affected java-10-openjdk packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1096420

https://bugzilla.opensuse.org/show_bug.cgi?id=1101645

https://bugzilla.opensuse.org/show_bug.cgi?id=1101651

https://bugzilla.opensuse.org/show_bug.cgi?id=1101655

https://bugzilla.opensuse.org/show_bug.cgi?id=1101656

Plugin Details

Severity: Medium

ID: 111572

File Name: openSUSE-2018-810.nasl

Version: 1.2

Type: local

Agent: unix

Published: 2018/08/07

Modified: 2018/09/04

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 4.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:N/A:N

CVSS v3.0

Base Score: 5.9

Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:N/A:N

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:java-10-openjdk, p-cpe:/a:novell:opensuse:java-10-openjdk-accessibility, p-cpe:/a:novell:opensuse:java-10-openjdk-accessibility-debuginfo, p-cpe:/a:novell:opensuse:java-10-openjdk-debuginfo, p-cpe:/a:novell:opensuse:java-10-openjdk-debugsource, p-cpe:/a:novell:opensuse:java-10-openjdk-demo, p-cpe:/a:novell:opensuse:java-10-openjdk-devel, p-cpe:/a:novell:opensuse:java-10-openjdk-headless, p-cpe:/a:novell:opensuse:java-10-openjdk-javadoc, p-cpe:/a:novell:opensuse:java-10-openjdk-jmods, p-cpe:/a:novell:opensuse:java-10-openjdk-src, cpe:/o:novell:opensuse:15.0

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2018/08/06

Reference Information

CVE: CVE-2018-2940, CVE-2018-2952, CVE-2018-2972, CVE-2018-2973